Errors while building and installation of llvm-1.9

I have downloaded the llvm-1.9 from the following link http://llvm.org/releases/download.html#1.9

There are some header files missing and I am getting some compilation errors of the source code when I compiled the llvm-1.9.

Can you please send me the correct source code.

I am getting the following errors when I compiled the llvm-1.9 on linux-ubuntu with the following command.

make -k | tee gnumake.out ENABLE_OPTIMIZED=1

/home/baburao/Desktop/LLVM/llvm-1.9/utils/TableGen/FileLexer.l:33:24: error: FileParser.h: No such file or directory

/home/baburao/Desktop/LLVM/llvm-1.9/utils/TableGen/FileLexer.l:186: error: ‘Filelval’ was not declared in this scope
/home/baburao/Desktop/LLVM/llvm-1.9/utils/TableGen/FileLexer.l:187: error: ‘CODEFRAGMENT’ was not declared in this scppe.

g++: /home/baburao/Desktop/LLVM/llvm-1.9/utils/TableGen/FileParser.cpp: No such file or directory
g++: no input files
make[2]: *** [/home/baburao/Desktop/LLVM/llvm-1.9/utils/TableGen/Release/FileParser.o] Error 1

Target `all’ not remade because of errors.

it is showing some errors in the source code of the folder /llvm-1.9/examples also.

When I tried to install llvm using “make install” command I got the following error.

make[1]: *** No rule to make target /home/baburao/Desktop/LLVM/llvm-1.9/Release/bin/tblgen', needed by /home/baburao/Desktop/LLVM/llvm-1.9/lib/VMCore/Release/Intrinsics.gen.tmp’. Stop.

my gcc version is 4.2.4 (Ubuntu 4.2.4-1ubuntu3)

Thanking you

regards
baburao.

Why 1.9? 1.9 is over 2 years old. You should use 2.4.
http://llvm.org/releases/download.html#2.4

-Tanya